> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Packing List Item

> This endpoint creates a new packing list item

### Body

<ParamField body="id" required="true" type="string">
  The ID of the packing list item to create.
</ParamField>

<ParamField body="sku" required="true" type="string">
  The SKU of the packing list item to create.
</ParamField>

<ParamField body="description" required="true" type="string">
  The description of the packing list item to create.
</ParamField>

<ParamField body="quantity" required="true" type="number">
  The quantity of the packing list item to create.
</ParamField>

<ParamField body="packing_list" required="true" type="string">
  The packing list of the packing list item to create.
</ParamField>

<ParamField body="arrived" required="true" type="boolean">
  The arrived of the packing list item to create.
</ParamField>

### Response

<ResponseField name="id" required="true" type="string">
  The ID of the packing list item to create.
</ResponseField>

<ResponseField name="sku" required="true" type="string">
  The SKU of the packing list item to create.
</ResponseField>

<ResponseField name="description" required="true" type="string">
  The description of the packing list item to create.
</ResponseField>

<ResponseField name="quantity" required="true" type="number">
  The quantity of the packing list item to create.
</ResponseField>

<ResponseField name="packing_list" required="true" type="string">
  The packing list of the packing list item to create.
</ResponseField>

<ResponseField name="arrived" required="true" type="boolean">
  The arrived of the packing list item to create.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request POST 'https://api.stateset.com/v1/packing_list_item/:id' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
      "id": "pi_ODkRWQtx9NVsRX",
      "sku": "sku_1",
      "description": "description_1",
      "quantity": 1,
      "packing_list": "pl_1",
      "arrived": true
  }'
  ```

  ```js Node.js theme={null}

  const created = await stateset.packingItems.create(
    'pi_ODkRWQtx9NVsRX'
  );

  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "id": "pi_ODkRWQtx9NVsRX",
      "sku": "sku_1",
      "description": "description_1",
      "quantity": 1,
      "packing_list": "pl_1",
      "arrived": true
   
  }
  ```
</ResponseExample>

## Packing List Item

| Name          | Type                       | Description                                        |
| ------------- | -------------------------- | -------------------------------------------------- |
| id            | Text (Primary Key, Unique) | Unique identifier for the packing list item        |
| sku           | Text                       | Stock Keeping Unit (SKU) for the packing list item |
| description   | Text                       | Description or additional details about the item   |
| quantity      | Integer                    | Quantity of the item in the packing list item      |
| packing\_list | Text                       | Identifier for the associated packing list         |
| arrived       | Boolen                     | Whether or not the packing list item has arrived   |
